org.deidentifier.arx.gui.worker.io

## Class Vocabulary_V1

- java.lang.Object
- - org.deidentifier.arx.gui.worker.io.Vocabulary
  - - org.deidentifier.arx.gui.worker.io.Vocabulary_V1

Direct Known Subclasses:
  Vocabulary_V2

    public class Vocabulary_V1
    extends Vocabulary

First version of the ARX XML vocabulary.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Vocabulary_V1()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkVersion(java.lang.String version)` Version check
`java.lang.String` `getAnonymity()`
`java.lang.String` `getAssigment()`
`java.lang.String` `getAttribute()`
`java.lang.String` `getAttributeWeight()`
`java.lang.String` `getAttributeWeights()`
`java.lang.String` `getChecked()`
`java.lang.String` `getClipboard()`
`java.lang.String` `getConfig()`
`java.lang.String` `getCriteria()`
`java.lang.String` `getCriterion()`
`java.lang.String` `getDatatype()`
`java.lang.String` `getDefinition()`
`java.lang.String` `getDepth()`
`java.lang.String` `getDescription()`
`java.lang.String` `getEscape()`
`java.lang.String` `getFormat()`
`java.lang.String` `getHeader()`
`java.lang.String` `getHistorySize()`
`java.lang.String` `getId()`
`java.lang.String` `getInfoloss()`
`java.lang.String` `getInitialNodesInViewer()`
`java.lang.String` `getInputBytes()`
`java.lang.String` `getLattice()`
`java.lang.String` `getLevel()`
`java.lang.String` `getLinebreak()`
`java.lang.String` `getLocale()`
`java.lang.String` `getMax()`
`java.lang.String` `getMax2()`
`java.lang.String` `getMaxNodesInLattice()`
`java.lang.String` `getMaxNodesInViewer()`
`java.lang.String` `getMetadata()`
`java.lang.String` `getMetric()`
`java.lang.String` `getMicroAggregationFunction()`
`java.lang.String` `getMicroAggregationIgnoreMissingData()`
`java.lang.String` `getMin()`
`java.lang.String` `getMin2()`
`java.lang.String` `getName()`
`java.lang.String` `getNode()`
`java.lang.String` `getNode2()`
`java.lang.String` `getPracticalMonotonicity()`
`java.lang.String` `getPredecessors()`
`java.lang.String` `getProject()`
`java.lang.String` `getProtectSensitiveAssociations()`
`java.lang.String` `getQuote()`
`java.lang.String` `getRef()`
`java.lang.String` `getRelativeMaxOutliers()`
`java.lang.String` `getRemoveOutliers()`
`java.lang.String` `getResponseVariable()`
`java.lang.String` `getSelectedAttribute()`
`java.lang.String` `getSeparator()`
`java.lang.String` `getSnapshotSizeDataset()`
`java.lang.String` `getSnapshotSizeSnapshot()`
`java.lang.String` `getSuccessors()`
`java.lang.String` `getSuppressedAttributeTypes()`
`java.lang.String` `getSuppressionAlwaysEnabled()`
`java.lang.String` `getTransformation()`
`java.lang.String` `getType()`
`java.lang.String` `getVersion()`
`java.lang.String` `getVocabulary()`
`java.lang.String` `getVocabularyVersion()`
`java.lang.String` `getWeight()`

### Methods inherited from class org.deidentifier.arx.gui.worker.io.Vocabulary

`forVersion, isAnonymity, isAssigment, isAttribute, isChecked, isClipboard, isDatatype, isDefinition, isFormat, isInfoloss, isLattice, isLevel, isLocale, isMax, isMax2, isMetadata, isMicroaggregationFunction, isMicroaggregationIgnoreMissingData, isMin, isMin2, isName, isNode, isNode2, isPredecessors, isRef, isResponseVariable, isSuccessors, isTransformation, isType, isVersion, isVocabulary`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vocabulary_V1

    public Vocabulary_V1()

### Method Detail

#### checkVersion

    public void checkVersion(java.lang.String version)
                      throws org.xml.sax.SAXException

Description copied from class: `Vocabulary`
Version check

Specified by:
  `checkVersion` in class `Vocabulary`
Throws:
  `org.xml.sax.SAXException`

#### getAnonymity

    public java.lang.String getAnonymity()

Specified by:
  `getAnonymity` in class `Vocabulary`
Returns:

#### getAssigment

    public java.lang.String getAssigment()

Specified by:
  `getAssigment` in class `Vocabulary`
Returns:

#### getAttribute

    public java.lang.String getAttribute()

Specified by:
  `getAttribute` in class `Vocabulary`
Returns:

#### getAttributeWeight

    public java.lang.String getAttributeWeight()

Specified by:
  `getAttributeWeight` in class `Vocabulary`
Returns:

#### getAttributeWeights

    public java.lang.String getAttributeWeights()

Specified by:
  `getAttributeWeights` in class `Vocabulary`
Returns:

#### getChecked

    public java.lang.String getChecked()

Specified by:
  `getChecked` in class `Vocabulary`
Returns:

#### getClipboard

    public java.lang.String getClipboard()

Specified by:
  `getClipboard` in class `Vocabulary`
Returns:

#### getConfig

    public java.lang.String getConfig()

Specified by:
  `getConfig` in class `Vocabulary`
Returns:

#### getCriteria

    public java.lang.String getCriteria()

Specified by:
  `getCriteria` in class `Vocabulary`
Returns:

#### getCriterion

    public java.lang.String getCriterion()

Specified by:
  `getCriterion` in class `Vocabulary`
Returns:

#### getDatatype

    public java.lang.String getDatatype()

Specified by:
  `getDatatype` in class `Vocabulary`
Returns:

#### getDefinition

    public java.lang.String getDefinition()

Specified by:
  `getDefinition` in class `Vocabulary`
Returns:

#### getDepth

    public java.lang.String getDepth()

Specified by:
  `getDepth` in class `Vocabulary`
Returns:

#### getDescription

    public java.lang.String getDescription()

Specified by:
  `getDescription` in class `Vocabulary`
Returns:

#### getEscape

    public java.lang.String getEscape()

Specified by:
  `getEscape` in class `Vocabulary`
Returns:

#### getFormat

    public java.lang.String getFormat()

Specified by:
  `getFormat` in class `Vocabulary`
Returns:

#### getHeader

    public java.lang.String getHeader()

Specified by:
  `getHeader` in class `Vocabulary`
Returns:

#### getHistorySize

    public java.lang.String getHistorySize()

Specified by:
  `getHistorySize` in class `Vocabulary`
Returns:

#### getId

    public java.lang.String getId()

Specified by:
  `getId` in class `Vocabulary`
Returns:

#### getInfoloss

    public java.lang.String getInfoloss()

Specified by:
  `getInfoloss` in class `Vocabulary`
Returns:

#### getInitialNodesInViewer

    public java.lang.String getInitialNodesInViewer()

Specified by:
  `getInitialNodesInViewer` in class `Vocabulary`
Returns:

#### getInputBytes

    public java.lang.String getInputBytes()

Specified by:
  `getInputBytes` in class `Vocabulary`
Returns:

#### getLattice

    public java.lang.String getLattice()

Specified by:
  `getLattice` in class `Vocabulary`
Returns:

#### getLevel

    public java.lang.String getLevel()

Specified by:
  `getLevel` in class `Vocabulary`
Returns:

#### getLinebreak

    public java.lang.String getLinebreak()

Specified by:
  `getLinebreak` in class `Vocabulary`
Returns:

#### getLocale

    public java.lang.String getLocale()

Specified by:
  `getLocale` in class `Vocabulary`
Returns:

#### getMax

    public java.lang.String getMax()

Specified by:
  `getMax` in class `Vocabulary`
Returns:

#### getMax2

    public java.lang.String getMax2()

Specified by:
  `getMax2` in class `Vocabulary`
Returns:

#### getMaxNodesInLattice

    public java.lang.String getMaxNodesInLattice()

Specified by:
  `getMaxNodesInLattice` in class `Vocabulary`
Returns:

#### getMaxNodesInViewer

    public java.lang.String getMaxNodesInViewer()

Specified by:
  `getMaxNodesInViewer` in class `Vocabulary`
Returns:

#### getMetadata

    public java.lang.String getMetadata()

Specified by:
  `getMetadata` in class `Vocabulary`
Returns:

#### getMetric

    public java.lang.String getMetric()

Specified by:
  `getMetric` in class `Vocabulary`
Returns:

#### getMicroAggregationFunction

    public java.lang.String getMicroAggregationFunction()

Specified by:
  `getMicroAggregationFunction` in class `Vocabulary`
Returns:

#### getMicroAggregationIgnoreMissingData

    public java.lang.String getMicroAggregationIgnoreMissingData()

Specified by:
  `getMicroAggregationIgnoreMissingData` in class `Vocabulary`
Returns:

#### getMin

    public java.lang.String getMin()

Specified by:
  `getMin` in class `Vocabulary`
Returns:

#### getMin2

    public java.lang.String getMin2()

Specified by:
  `getMin2` in class `Vocabulary`
Returns:

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in class `Vocabulary`
Returns:

#### getNode

    public java.lang.String getNode()

Specified by:
  `getNode` in class `Vocabulary`
Returns:

#### getNode2

    public java.lang.String getNode2()

Specified by:
  `getNode2` in class `Vocabulary`
Returns:

#### getPracticalMonotonicity

    public java.lang.String getPracticalMonotonicity()

Specified by:
  `getPracticalMonotonicity` in class `Vocabulary`
Returns:

#### getPredecessors

    public java.lang.String getPredecessors()

Specified by:
  `getPredecessors` in class `Vocabulary`
Returns:

#### getProject

    public java.lang.String getProject()

Specified by:
  `getProject` in class `Vocabulary`
Returns:

#### getProtectSensitiveAssociations

    public java.lang.String getProtectSensitiveAssociations()

Specified by:
  `getProtectSensitiveAssociations` in class `Vocabulary`
Returns:

#### getQuote

    public java.lang.String getQuote()

Specified by:
  `getQuote` in class `Vocabulary`
Returns:

#### getRef

    public java.lang.String getRef()

Specified by:
  `getRef` in class `Vocabulary`
Returns:

#### getRelativeMaxOutliers

    public java.lang.String getRelativeMaxOutliers()

Specified by:
  `getRelativeMaxOutliers` in class `Vocabulary`
Returns:

#### getRemoveOutliers

    public java.lang.String getRemoveOutliers()

Specified by:
  `getRemoveOutliers` in class `Vocabulary`
Returns:

#### getSelectedAttribute

    public java.lang.String getSelectedAttribute()

Specified by:
  `getSelectedAttribute` in class `Vocabulary`
Returns:

#### getSeparator

    public java.lang.String getSeparator()

Specified by:
  `getSeparator` in class `Vocabulary`
Returns:

#### getSnapshotSizeDataset

    public java.lang.String getSnapshotSizeDataset()

Specified by:
  `getSnapshotSizeDataset` in class `Vocabulary`
Returns:

#### getSnapshotSizeSnapshot

    public java.lang.String getSnapshotSizeSnapshot()

Specified by:
  `getSnapshotSizeSnapshot` in class `Vocabulary`
Returns:

#### getSuccessors

    public java.lang.String getSuccessors()

Specified by:
  `getSuccessors` in class `Vocabulary`
Returns:

#### getSuppressedAttributeTypes

    public java.lang.String getSuppressedAttributeTypes()

Specified by:
  `getSuppressedAttributeTypes` in class `Vocabulary`
Returns:

#### getSuppressionAlwaysEnabled

    public java.lang.String getSuppressionAlwaysEnabled()

Specified by:
  `getSuppressionAlwaysEnabled` in class `Vocabulary`
Returns:

#### getResponseVariable

    public java.lang.String getResponseVariable()

Specified by:
  `getResponseVariable` in class `Vocabulary`
Returns:

#### getTransformation

    public java.lang.String getTransformation()

Specified by:
  `getTransformation` in class `Vocabulary`
Returns:

#### getType

    public java.lang.String getType()

Specified by:
  `getType` in class `Vocabulary`
Returns:

#### getVersion

    public java.lang.String getVersion()

Specified by:
  `getVersion` in class `Vocabulary`
Returns:

#### getVocabulary

    public java.lang.String getVocabulary()

Specified by:
  `getVocabulary` in class `Vocabulary`
Returns:

#### getVocabularyVersion

    public java.lang.String getVocabularyVersion()

Specified by:
  `getVocabularyVersion` in class `Vocabulary`
Returns:

#### getWeight

    public java.lang.String getWeight()

Specified by:
  `getWeight` in class `Vocabulary`
Returns: